/***************************************************************
From the book "Motif Programming, The Essentials...and More"
by Marshall Brain.
Published by Digital Press, ISBN 1-55558-089-0.
To order the book, call 1-800-DIGITAL and ask for EY-J816E-DP.

Copyright 1992, by Digital Equipment Corp.

This code demonstrates a simple X program.
***************************************************************/

/* xdemo.c */

#include <X11/Xlib.h>
#include <stdio.h>

Display *display;
Window window;
XEvent event;

void main()
{
    display=XOpenDisplay(NULL);
    window=XCreateSimpleWindow(display,XDefaultRootWindow(display),
        100,100,200,200,4,0,0);
    XMapWindow(display,window);
    XSelectInput(display,window,KeyPressMask | ButtonPressMask |
        ExposureMask);

    while (True)
/*    {
       XNextEvent(display,&event);
       printf("%d\n",event.type);
    }*/

    {
       XNextEvent(display,&event);
       if (event.type==ButtonPress)
           printf("ButtonPress event generated\n");
       else if (event.type==KeyPress)
           printf("KeyPress event generated\n");
       else if (event.type==Expose)
           printf("Expose event generated\n");
    }

}
